function asbscreateknnobj( features )
%%
% ASBSCREATEKNNOBJ(FEATURES)
%
% Purpose:  Creates KNNObj from createns matlab function and stores in 
%           ASBS_KNNOBJ global variable
%
% Inputs:   features    - chosen features
%           
% Output:   none
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_KNNOBJ;
global ASBS_ZMODEL;

IFeatures = asbsfeatureindex (features);

ASBS_KNNOBJ = createns(ASBS_ZMODEL(:,IFeatures));

%% EOF
