function index = asbsfeatureindex ( features )
%%
% ASBSFEATUREINDEX(FEATURES)
%
% Purpose:  return matrix indexes for features
%
% Inputs:   features    - Chosen features
%
% Output:   index       - matrix indexes
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

global ASBS_RMS;
global ASBS_CENTROID;
global ASBS_FLATNESS;
global ASBS_ROLLOFF;
global ASBS_ZCR;
global ASBS_MFCC2;
global ASBS_MFCC3;
global ASBS_MFCC4;
global ASBS_MFCC5;
global ASBS_MFCC6;
global ASBS_MFCC7;
global ASBS_MFCC8;
global ASBS_MFCC9;
global ASBS_MFCC10;
global ASBS_MFCC11;
global ASBS_MFCC12;
global ASBS_MFCC13;
global ASBS_RMSRATIO;

global ASBS_I_RMS;
global ASBS_I_CENTROID;
global ASBS_I_FLATNESS;
global ASBS_I_ROLLOFF;
global ASBS_I_ZCR;
global ASBS_I_MFCC2;
global ASBS_I_MFCC3;
global ASBS_I_MFCC4;
global ASBS_I_MFCC5;
global ASBS_I_MFCC6;
global ASBS_I_MFCC7;
global ASBS_I_MFCC8;
global ASBS_I_MFCC9;
global ASBS_I_MFCC10;
global ASBS_I_MFCC11;
global ASBS_I_MFCC12;
global ASBS_I_MFCC13;
global ASBS_I_RMSRATIO;

index = [];

if bitand( features, ASBS_RMS ) > 0
    index = [index ASBS_I_RMS];
end
if bitand (features, ASBS_CENTROID ) > 0
    index = [index ASBS_I_CENTROID];
end
if bitand (features, ASBS_FLATNESS) > 0
    index = [index ASBS_I_FLATNESS];
end
if bitand(features, ASBS_ROLLOFF) > 0
    index = [index ASBS_I_ROLLOFF];
end
if bitand (features, ASBS_ZCR) > 0
    index = [index ASBS_I_ZCR];
end
if bitand (features, ASBS_MFCC2) > 0
    index = [index ASBS_I_MFCC2];
end
if bitand (features, ASBS_MFCC3) > 0
    index = [index ASBS_I_MFCC3];
end
if bitand (features, ASBS_MFCC4) > 0
    index = [index ASBS_I_MFCC4];
end
if bitand (features, ASBS_MFCC5) > 0
    index = [index ASBS_I_MFCC5];
end
if bitand (features, ASBS_MFCC6) > 0
    index = [index ASBS_I_MFCC6];
end
if bitand (features, ASBS_MFCC7) > 0
    index = [index ASBS_I_MFCC7];
end
if bitand (features, ASBS_MFCC8) > 0
    index = [index ASBS_I_MFCC8];
end
if bitand (features, ASBS_MFCC9) > 0
    index = [index ASBS_I_MFCC9];
end
if bitand (features, ASBS_MFCC10) > 0
    index = [index ASBS_I_MFCC10];
end
if bitand (features, ASBS_MFCC11) > 0
    index = [index ASBS_I_MFCC11];
end
if bitand (features, ASBS_MFCC12) > 0
    index = [index ASBS_I_MFCC12];
end
if bitand (features, ASBS_MFCC13) > 0
    index = [index ASBS_I_MFCC13];
end
if bitand (features, ASBS_RMSRATIO) > 0
    index = [index ASBS_I_RMSRATIO];
end
       
%% EOF