function [ numbers strings ] = asbsimportxls( filename )
%%
% ASBSIMPORTXLS(FILENAME)
%
% Purpose:  Imports Excel file.
%
% Inputs:   filename    - Source Excel file
%           
% Output:   numbers     - matrix with numeric data from Excel file
%           String      - Matrix with string data from Excel file
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
sheetName='Sheet1';

[numbers, strings] = xlsread(filename, sheetName);

%% EOF


