function rms = asbssignalrms ( x )
%%
% ASBSSIGNALRMS(X)
%
% Purpose:  Calculates RMS signal x
%
% Inputs:   x       - the signal
%
% Output:   rms     - rms of signal x
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

rms = norm(x) / sqrt(length(x));

%% EOF

