function asbsstminit ()
%%
% ASBSSTMINIT()
%
% Purpose:  Initialization of prediction state machine
%
% Inputs:   None
%
% Output:   None
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

%% STATE MACHINE

global ASBS_STM_STATE;
global ASBS_STM_OLDENERGY;
global ASBS_STM_OLDVALUE;
global ASBS_STM_STARTTIME;
global ASBS_STM_NC0S;
global ASBS_STM_NCN0S;
global ASBS_STM_N1S;
global ASBS_STM_N2S;
global ASBS_STM_N3S;
global ASBS_STM_N4S;
global ASBS_STM_NCCE;
global ASBS_STM_NCDE;
global ASBS_STM_MINIMUM_CONSECUTIVES;
%%

global ASBS_WINDOW_SIZE;

%% STATE MACHINE
ASBS_STM_OLDENERGY = 0;
ASBS_STM_STATE = 0;
ASBS_STM_NC0S = 0;
ASBS_STM_NCN0S = 0;
ASBS_STM_N1S = 0;
ASBS_STM_N2S = 0;
ASBS_STM_N3S = 0;
ASBS_STM_N4S = 0;
ASBS_STM_NCCE = 0;
ASBS_STM_NCDE = 0;
ASBS_STM_STARTTIME = 0;
ASBS_STM_OLDVALUE = -1;
ASBS_STM_MINIMUM_CONSECUTIVES = 1 / ASBS_WINDOW_SIZE;
%%

%% EOF
