%%
% ASBSDISPGLOBALS
%
% Purpose:  Auxiliary code to display some global variables in Matlab console
%
% Inputs:   None
%           
% Output:   None
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

%% FRAME PROCESSING VARIABLES
global ASBS_SAMPLING;       % sampling frequency
global ASBS_WINDOW_SIZE;    % window size (s)
global ASBS_OVERLAPPED;     % true or false
global ASBS_THRESHOLD;      % RMS threshold
ASBS_SAMPLING;
ASBS_WINDOW_SIZE;
ASBS_OVERLAPPED;
ASBS_THRESHOLD;
%%

%% FEATURES VARIABLES
global ASBS_RMS;            % RMS
global ASBS_CENTROID;       % Spectrum Centroid
global ASBS_FLATNESS;       % Spectrum Flatness
global ASBS_ROLLOFF;        % Spectrum RollOff;
global ASBS_ZCR;            % Signal Zero-cross rating
global ASBS_MFCC2;          % MFCC 2
global ASBS_MFCC3;          % MFCC 3
global ASBS_MFCC4;          % MFCC 4
global ASBS_MFCC5;          % MFCC 5
global ASBS_MFCC6;          % MFCC 6
global ASBS_MFCC7;          % MFCC 7
global ASBS_MFCC8;          % MFCC 8
global ASBS_MFCC9;          % MFCC 9
global ASBS_MFCC10;         % MFCC 10
global ASBS_MFCC11;         % MFCC 11
global ASBS_MFCC12;         % MFCC 12
global ASBS_MFCC13;         % MFCC 13
global ASBS_MFCC;           % All MFCCs
global ASBS_RMSRATIO;       % RMS ratio at 2000Hz
global ASBS_ALLFEATURES;    % ALL FEATURES
ASBS_RMS;
ASBS_CENTROID;
ASBS_FLATNESS;
ASBS_ROLLOFF;
ASBS_ZCR;
ASBS_MFCC2;
ASBS_MFCC3;
ASBS_MFCC4;
ASBS_MFCC5;
ASBS_MFCC6;
ASBS_MFCC7;
ASBS_MFCC8;
ASBS_MFCC9;
ASBS_MFCC10;
ASBS_MFCC11;
ASBS_MFCC12;
ASBS_MFCC13;
ASBS_MFCC;
ASBS_RMSRATIO;
ASBS_ALLFEATURES;


%% KNN Algorithm Data
global ASBS_MODELCODE;
global ASBS_ZMODEL;
global ASBS_MU;
global ASBS_DELTA;
ASBS_MODELCODE;
ASBS_ZMODEL;
ASBS_MU;
ASBS_DELTA;

%% EOF
