function SF = asbsflatness (X)
%%
% ASBSFLATNESS(X)
%
% Purpose:  Returns spectral flatness from spectrum signal X
%
% Inputs:   X       - Spectrum signal
%           
% Output:   SF      - Spectrum flatness
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%

SF = geomean(X) / mean(X);

%% EOF
