function asbsplotcumulativerms( breathfile, withlegend )
%%
% ASBSPLOTCUMULATIVERMS
%
% Purpose:  Auxiliary code to plot results
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
global ASBS_SAMPLING;

LineWidth = 1.2;

[x1 x2 x3 x4] = asbsrmsratios(breathfile);
t = 0:50:ASBS_SAMPLING/2;
plot (t, x1, 'b', 'LineWidth',LineWidth);
hold on;
plot (t, x2, 'r', 'LineWidth',LineWidth);
hold on;
plot (t, x3, 'g', 'LineWidth',LineWidth);
hold on;
plot (t, x4, 'c', 'LineWidth',LineWidth);
title('Cumulative RMS');
if withlegend
    legend('Ins. bucal','Esp. bucal','Ins. nasal', 'Esp. nasal', 'Location', 'NorthEastOutside');
end

end
