function ZCR = asbszerocross (x)
%%
% ASBSZEROCROSS(X)
%
% Purpose:  returns the zero/crossing rate of signal x
%
% Inputs:   x   - the signal
%
% Output:   ZCR - the zero-crossing rate
%
% Author:   juan a. Castro
% Version:  1.0 jan/2015
%%
ZCR = sum(abs(diff(x >= 0))) / length(x);

%% EOF


